Bug 827759 - [abrt] yum-3.4.3-23.fc17: yumRepo.py:1594:_retrieveMD:RepoError: Caching enabled but no local cache of /var/tmp/yum-jonas-80B5jt/x86_64/17/fedora/cd6b943c066d5eae4c407ca104128f3dc46ebeb5017f65a47709f299871de21d-comps-f17.xml.gz from fedora
[abrt] yum-3.4.3-23.fc17: yumRepo.py:1594:_retrieveMD:RepoError: Caching enab...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:9b329cd226e3dee0c8f10ec0add...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 17:15 EDT by Jonas Jonsson
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 15:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Jonsson 2012-06-02 17:15:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C groups list all ''
comment:        Typing sudo yum groups remove, then pressed tab a couple of times.
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.3.7-1.fc16.x86_64
time:           lör  2 jun 2012 23:14:28
uid:            500
username:       jonas

backtrace:
:yumRepo.py:1594:_retrieveMD:RepoError: Caching enabled but no local cache of /var/tmp/yum-jonas-80B5jt/x86_64/17/fedora/cd6b943c066d5eae4c407ca104128f3dc46ebeb5017f65a47709f299871de21d-comps-f17.xml.gz from fedora
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 81, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 77, in main
:    base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/completion-helper.py", line 33, in doCommand
:    patterns=[get_pattern(extcmds)])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3220, in doGroupLists
:    if self.comps.compscount == 0:
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1026, in <lambda>
:    comps = property(fget=lambda self: self._getGroups(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 921, in _getGroups
:    groupfile = repo.getGroups()
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1654, in getGroups
:    return self._retrieveMD('group_gz', retrieve_can_fail=True)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1594, in _retrieveMD
:    self)
:RepoError: Caching enabled but no local cache of /var/tmp/yum-jonas-80B5jt/x86_64/17/fedora/cd6b943c066d5eae4c407ca104128f3dc46ebeb5017f65a47709f299871de21d-comps-f17.xml.gz from fedora
:
:Local variables in innermost frame:
:remote: 'repodata/cd6b943c066d5eae4c407ca104128f3dc46ebeb5017f65a47709f299871de21d-comps-f17.xml.gz'
:self: <yum.yumRepo.YumRepository object at 0x7fb0e76c2cd0>
:thisdata: <yum.repoMDObject.RepoData instance at 0x21070e0>
:mdtype: 'group_gz'
:fname: 'cd6b943c066d5eae4c407ca104128f3dc46ebeb5017f65a47709f299871de21d-comps-f17.xml.gz'
:r_base: None
:local: '/var/tmp/yum-jonas-80B5jt/x86_64/17/fedora/cd6b943c066d5eae4c407ca104128f3dc46ebeb5017f65a47709f299871de21d-comps-f17.xml.gz'
:retrieve_can_fail: True
Comment 1 James Antill 2013-05-21 15:31:01 EDT
Fixed upstream (caught exception, anyway).

Note You need to log in before you can comment on or make changes to this bug.